import request from '@/utils/request'

// 开始录音
export function startMicrophoneApi(data) {
  return request({
      url: '/api/Microphone/start',
      method: 'post',
      params: data
  })
}

// 暂停录音
export function pauseMicrophoneApi(data) {
  return request({
      url: '/api/Microphone/pause',
      method: 'post',
      params: data
  })
}

// 恢复录音
export function resumeMicrophoneApi(data) {
  return request({
      url: '/api/Microphone/resume',
      method: 'post',
      params: data
  })
}

// 停止录音
export function stopMicrophoneApi(data) {
 return request({
    url: '/api/Microphone/stop',
    method: 'post',
    params: data
  })
}

// 播放音频
export function playSpeaker(data) {
  return request({
    url: '/api/Speaker/play',
    method: 'post',
    params: data
  })
}